org.apache.maven.artifact.resolver

## Class ArtifactResolutionResult

- java.lang.Object
- - org.apache.maven.artifact.resolver.ArtifactResolutionResult

-     public class ArtifactResolutionResult
      extends java.lang.Object

  Version:
    $Id: ArtifactResolutionResult.java 592009 2007-11-05 14:24:53Z hboutemy $
  Author:
    Jason van Zyl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactResolutionResult()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set` | `getArtifactResolutionNodes()`
    `java.util.Set` | `getArtifacts()`
    `void` | `setArtifactResolutionNodes(java.util.Set resolutionNodes)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactResolutionResult

          public ArtifactResolutionResult()

  - ### Method Detail

    - #### getArtifacts

          public java.util.Set getArtifacts()

    - #### getArtifactResolutionNodes

          public java.util.Set getArtifactResolutionNodes()

    - #### setArtifactResolutionNodes

          public void setArtifactResolutionNodes(java.util.Set resolutionNodes)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`